/* This Stylesheets lets a input of type range look much nicer */

input[type=range] {
	-webkit-appearance: none;
	width: 100%;
	background-color: transparent;
}

input[type=range]::-ms-track {
	width: 100%;
	cursor: pointer;
	background: transparent;
	border-color: transparent;
	color: transparent;
}

/* Thumb Style for Chromium */
input[type=range]::-webkit-slider-thumb {
	-webkit-appearance: none;
	width: 14px;
	height: 14px;
	margin-top: -3px;
	background: var(--primary-color-light);
	border: none;
	border-radius: 100px;
	cursor: pointer;
}

/* Thumb Style for Firefox */
input[type=range]::-moz-range-thumb {
	width: 14px;
	height: 14px;
	background: var(--primary-color-light);
	border: none;
	border-radius: 100px;
	cursor: pointer;
}

/* Range track Style for Chromium */
input[type=range]::-webkit-slider-runnable-track {
	width: 100%;
	height: 8px;
	background: var(--progressbar-color-chrome);
	border-radius: 4px;
}

/* Range track Style for Firefox */
input[type=range]::-moz-range-track {
	width: 100%;
	height: 8px;
	background: var(--form-item-border-color);
	border-radius: 4px;
}

/* Range progress track Style for Firefox */
input[type=range]::-moz-range-progress {
	width: 100%;
	height: 8px;
	background: var(--progressbar-progress-color);
	border-top-left-radius: 4px;
	border-bottom-left-radius: 4px;
}